{% extends 'base.html.twig' %}

{% block body -%}
    <div class="container-fluid">
        <div class="row mb-4">
            <div class="col">
                <h1>{{ delete_form is defined ? 'Modifica' : 'Inserimento' }} del provider di dati</h1>
                <ul id="mainMenu" class="nav nav-pills" role="tablist">
                    <li class="nav-item" role="presentation">
                        <button class="nav-link active" id="generale-pill" data-bs-toggle="pill" data-bs-target="#generale" type="button"
                                role="tab" aria-controls="generale" aria-selected="true">Generale
                        </button>
                    </li>
                    <li class="nav-item" role="presentation">
                        <button class="nav-link " id="studenti-pill" data-bs-toggle="pill" data-bs-target="#studenti" type="button"
                                role="tab" aria-controls="studenti" aria-selected="true">Studenti
                        </button>
                    </li>
                    <li class="nav-item" role="presentation">
                        <button class="nav-link " id="docenti-pill" data-bs-toggle="pill" data-bs-target="#docenti" type="button"
                                role="tab" aria-controls="docenti" aria-selected="true">Docenti
                        </button>
                    </li>
                    <li class="nav-item" role="presentation">
                        <button class="nav-link " id="pdf-pill" data-bs-toggle="pill" data-bs-target="#pdf" type="button"
                                role="tab" aria-controls="pdf" aria-selected="true">Pdf
                        </button>
                    </li>
                </ul>
                {{ form_start(main_form) }}
                <input id="fakeUser" type="text" autocomplete="off" style="display: none;"/><input id="fakePw" type="password" autocomplete="off" style="display: none;"/>
                {{ form_errors(main_form) }}
                <div id="pillContent" class="tab-content p-3">
                    <div class="tab-pane fade show active" id="generale" role="tabpanel" aria-labelledby="generale-pill">
                        {{ form_row(main_form.name) }}
                        {{ form_row(main_form.filter) }}
                        {{ form_row(main_form.filterDataCont) }}
                        {{ form_row(main_form.appleSchoolLocation) }}
                        {{ form_row(main_form.active) }}
                    </div>
                    <div class="tab-pane fade" id="studenti" role="tabpanel" aria-labelledby="studenti-pill">
                        {{ form_row(main_form.internetOpenAccessRange) }}
                        {{ form_row(main_form.studentsOrderByInTeacherList) }}
                        {{ form_row(main_form.studentHaveManagedDevice) }}

                        <h4 class="mt-4 mb-3">Impostazioni utenza Active Directory</h4>
                        {{ form_row(main_form.studentAutoCreateUsername) }}
                        {{ form_row(main_form.studentLdapAutoUsernameStyle) }}
                        {{ form_row(main_form.studentLdapPasswordOverrideOptions) }}
                        <div id="studentPasswordRules">
                            {{ form_row(main_form.studentLdapPasswordMinChar) }}
                            {{ form_row(main_form.studentLdapPasswordComplexity) }}
                            {{ form_row(main_form.studentLdapPasswordUseDictionary) }}
                            {{ form_row(main_form.studentLdapPasswordPrefix) }}
                        </div>
                        {{ form_row(main_form.studentForceImportedPasswordInitial) }}
                        {{ form_row(main_form.studentForceImportedPassword) }}
                        {{ form_row(main_form.studentLdapExtendedUsernameSuffix) }}
                        {{ form_row(main_form.studentLdapUseEmailForExtendedUsername) }}

                        <h4 class="mt-4 mb-3">Divisione in unit&agrave; organizzative su Active Directory</h4>
                        {{ form_row(main_form.studentLdapCreateOU) }}
                        {{ form_row(main_form.studentLdapOUPrefix) }}
                        {{ form_row(main_form.studentLdapOUPath) }}

                        <h4 class="mt-4 mb-3">Generazione Caselle email su Google Apps</h4>
                        {{ form_row(main_form.studentGoogleAppClientId) }}
                        {{ form_row(main_form.studentGoogleAppDomain) }}
                        {{ form_row(main_form.studentGoogleAppClientSecret) }}
                        {{ form_row(main_form.studentGoogleAppAutoEmail) }}
                        {{ form_row(main_form.studentGoogleAppAutoEmailStyle) }}

                        <h4 class="mt-4 mb-3">Generazione Gruppi email su Google Apps</h4>
                        {{ form_row(main_form.studentGoogleAppCreateGroup) }}
                        {{ form_row(main_form.studentGoogleAppCreateProviderGroup) }}
                        {{ form_row(main_form.studentGoogleAppUseUserInProviderGroup) }}
                        {{ form_row(main_form.studentGoogleAppGroupPrefix) }}
                        {{ form_row(main_form.studentGoogleAppGroupExtraEmail) }}
                        {{ form_row(main_form.studentGoogleAppProviderGroupExtraEmail) }}

                        <h4 class="mt-4 mb-3">Divisione in unit&agrave; organizzative su Google Apps</h4>
                        {{ form_row(main_form.studentGoogleAppCreateOU) }}
                        {{ form_row(main_form.studentGoogleAppOUPrefix) }}
                        {{ form_row(main_form.studentGoogleAppOUPath) }}

                        <h4 class="mt-4 mb-3">Comportamento studenti cestinati</h4>
                        {{ form_row(main_form.studentTrashedLdapBehaviour) }}
                        {{ form_row(main_form.studentTrashedLdapOUPath) }}
                        {{ form_row(main_form.studentTrashedLdapGroupName) }}
                        {{ form_row(main_form.studentTrashedLdapLeaveInClassesGroup) }}
                        {{ form_row(main_form.studentTrashedLdapLeaveInProviderGroup) }}
                        {{ form_row(main_form.studentTrashedGoogleAppBehaviour) }}
                        {{ form_row(main_form.studentTrashedGoogleAppOUPath) }}
                        {{ form_row(main_form.studentTrashedGoogleAppGroupName) }}
                        {{ form_row(main_form.studentTrashedGoogleAppLeaveInClassesGroup) }}
                        {{ form_row(main_form.studentTrashedGoogleAppLeaveInProviderGroup) }}
                        {{ form_row(main_form.studentTrashedAsmBehaviour) }}
                        {{ form_row(main_form.studentTrashedAsmLeaveInClassesGroup) }}
                        {{ form_row(main_form.studentTrashedDisableRestoreIfPresentOnProvider) }}
                    </div>
                    <div class="tab-pane fade" id="docenti" role="tabpanel" aria-labelledby="docenti-pill">
                        {{ form_row(main_form.internetTeachersControl) }}
                        {{ form_row(main_form.teacherHaveManagedDevice) }}
                        {{ form_row(main_form.teacherCanEnablePersonalDevicesForClassrooms) }}

                        <h4 class="mt-4 mb-3">Impostazioni utenza Active Directory</h4>
                        {{ form_row(main_form.teacherAutoCreateUsername) }}
                        {{ form_row(main_form.teacherLdapAutoUsernameStyle) }}
                        {{ form_row(main_form.teacherLdapPasswordOverrideOptions) }}
                        <div id="teacherPasswordRules">
                            {{ form_row(main_form.teacherLdapPasswordMinChar) }}
                            {{ form_row(main_form.teacherLdapPasswordComplexity) }}
                            {{ form_row(main_form.teacherLdapPasswordUseDictionary) }}
                            {{ form_row(main_form.teacherLdapPasswordPrefix) }}
                        </div>
                        {{ form_row(main_form.teacherForceImportedPasswordInitial) }}
                        {{ form_row(main_form.teacherForceImportedPassword) }}
                        {{ form_row(main_form.teacherLdapExtendedUsernameSuffix) }}
                        {{ form_row(main_form.teacherLdapUseEmailForExtendedUsername) }}

                        <h4 class="mt-4 mb-3">Divisione in unit&agrave; organizzative su Active Directory</h4>
                        {{ form_row(main_form.teacherLdapCreateOU) }}
                        {{ form_row(main_form.teacherLdapOUPrefix) }}
                        {{ form_row(main_form.teacherLdapOUPath) }}

                        <h4 class="mt-4 mb-3">Generazione Caselle email su Google Apps</h4>
                        {{ form_row(main_form.teacherGoogleAppClientId) }}
                        {{ form_row(main_form.teacherGoogleAppDomain) }}
                        {{ form_row(main_form.teacherGoogleAppClientSecret) }}
                        {{ form_row(main_form.teacherGoogleAppAutoEmail) }}
                        {{ form_row(main_form.teacherGoogleAppAutoEmailStyle) }}

                        <h4 class="mt-4 mb-3">Generazione Gruppi email su Google Apps</h4>
                        {{ form_row(main_form.teacherGoogleAppCreateGroup) }}
                        {{ form_row(main_form.teacherGoogleAppCreateProviderGroup) }}
                        {{ form_row(main_form.teacherGoogleAppUseUserInProviderGroup) }}
                        {{ form_row(main_form.teacherGoogleAppGroupPrefix) }}
                        {{ form_row(main_form.teacherGoogleAppGroupExtraEmail) }}
                        {{ form_row(main_form.teacherGoogleAppProviderGroupExtraEmail) }}

                        <h4 class="mt-4 mb-3">Divisione in unit&agrave; organizzative su Google Apps</h4>
                        {{ form_row(main_form.teacherGoogleAppCreateOU) }}
                        {{ form_row(main_form.teacherGoogleAppOUPrefix) }}
                        {{ form_row(main_form.teacherGoogleAppOUPath) }}

                        <h4 class="mt-4 mb-3">Comportamento docenti cestinati</h4>
                        {{ form_row(main_form.teacherTrashedLdapBehaviour) }}
                        {{ form_row(main_form.teacherTrashedLdapOUPath) }}
                        {{ form_row(main_form.teacherTrashedLdapGroupName) }}
                        {{ form_row(main_form.teacherTrashedLdapLeaveInClassesGroup) }}
                        {{ form_row(main_form.teacherTrashedLdapLeaveInProviderGroup) }}
                        {{ form_row(main_form.teacherTrashedGoogleAppBehaviour) }}
                        {{ form_row(main_form.teacherTrashedGoogleAppOUPath) }}
                        {{ form_row(main_form.teacherTrashedGoogleAppGroupName) }}
                        {{ form_row(main_form.teacherTrashedGoogleAppLeaveInClassesGroup) }}
                        {{ form_row(main_form.teacherTrashedGoogleAppLeaveInProviderGroup) }}
                        {{ form_row(main_form.teacherTrashedAsmBehaviour) }}
                        {{ form_row(main_form.teacherTrashedAsmLeaveInClassesGroup) }}
                        {{ form_row(main_form.teacherTrashedDisableRestoreIfPresentOnProvider) }}
                    </div>
                    <div class="tab-pane fade" id="pdf" role="tabpanel" aria-labelledby="pdf-pill">
                        {{ form_row(main_form.pdfHeader) }}
                        {{ form_row(main_form.pdfHeaderHeight) }}
                        {{ form_row(main_form.pdfFooter) }}
                        {{ form_row(main_form.pdfFooterHeight) }}
                        {{ form_row(main_form.pdfStudentBadge) }}
                        <p>
                            &Egrave; possibile utilizzare le seguenti variabili per inserire nel campo i dati dell'utente:
                        </p>
                        <ul class="list-group mb-3">
                            <li class="list-group-item">
                                Nome: {studentFirstName}
                            </li>
                            <li class="list-group-item">
                                Cognome: {studentLastName}
                            </li>
                            <li class="list-group-item">
                                Username: {studentUsername}
                            </li>
                            <li class="list-group-item">
                                Email: {studentEmail}
                            </li>
                            <li class="list-group-item">
                                Password: {studentStartingPassword}
                            </li>
                            <li class="list-group-item">
                                Codice Fiscale: {studentFiscalCode}
                            </li>
                            <li class="list-group-item">
                                Classi/Gruppi: {studentGroups}
                            </li>
                            <li class="list-group-item">
                                Percorso AD: {studentHomeFolder}
                            </li>
                        </ul>
                        {{ form_row(main_form.pdfStudentBadgePageSize) }}
                        {{ form_row(main_form.pdfStudentBadgePageLandscape) }}
                    </div>
                </div>
                {{ form_widget(main_form.submit, {'attr':{'style' : 'display: none'}}) }}
                {{ form_end(main_form) }}
            </div>
        </div>
        <div class="row sendBtnArea p-3">
            <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
                <label for="{{ main_form.submit.vars.id }}" class="btn btn-success mb-2">{{ main_form.submit.vars.label }}</label>
            </div>
            <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
                <a href="{{ path('config_edit') }}" class="btn btn-info mb-2">
                    Ritorna alla configurazione
                </a>
            </div>
            <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
                {% if delete_form is defined %}
                    {{ form(delete_form) }}
                {% endif %}
            </div>
        </div>
    </div>




{% endblock %}


{% block javascripts %}
{{ parent() }}
<script type="text/javascript">

    $(function($) {
        let filterDataCont = $("#provider_filterDataCont");
        let updateFilterOptions = function() {
            let currentFilter = $("#provider_filter").val();
            filterDataCont.children().each(function(idx,el) {
                let $el = $(el.childNodes);
                let id = $el.attr("id");
                if(id !== undefined && id !== "" && id.replace("provider_filterDataCont_","") === currentFilter) {
                    $el.show();
                } else {
                    $el.hide();
                }
            });
        };

        filterDataCont.children("#provider_filterDataCont").children("label").hide();
        filterDataCont.parent().children("label").hide();
        updateFilterOptions();
        $("#provider_filter").change(updateFilterOptions);

        let studentGoogleAppAutoEmailField = $("#provider_studentGoogleAppAutoEmail");
        let updateStudentGoogleAppAutoEmailStyle = function () {
            let fieldVal = studentGoogleAppAutoEmailField.val();
            console.log("change student email style", fieldVal);
            if(fieldVal == 4 || fieldVal == 5) {
                $("#provider_studentGoogleAppAutoEmailStyle").parent().show()
            } else {
                $("#provider_studentGoogleAppAutoEmailStyle").parent().hide()
            }
        }
        updateStudentGoogleAppAutoEmailStyle();
        studentGoogleAppAutoEmailField.change(updateStudentGoogleAppAutoEmailStyle);

        let teacherGoogleAppAutoEmailField = $("#provider_teacherGoogleAppAutoEmail");
        let updateTeacherGoogleAppAutoEmailStyle = function () {
            var fieldVal = teacherGoogleAppAutoEmailField.val();
            console.log("change teacher email style", fieldVal);
            if(fieldVal == 4 || fieldVal == 5) {
                $("#provider_teacherGoogleAppAutoEmailStyle").parent().show()
            } else {
                $("#provider_teacherGoogleAppAutoEmailStyle").parent().hide()
            }
        }
        updateTeacherGoogleAppAutoEmailStyle();
        teacherGoogleAppAutoEmailField.change(updateTeacherGoogleAppAutoEmailStyle);

        let studentLdapPasswordOverrideOptionsField = $("#provider_studentLdapPasswordOverrideOptions");
        let updateStudentLdapPasswordOptionsVisibility = function () {
            if(studentLdapPasswordOverrideOptionsField.is(':checked')) {
                $("#studentPasswordRules").show()
            } else {
                $("#studentPasswordRules").hide()
            }
        }
        updateStudentLdapPasswordOptionsVisibility();
        studentLdapPasswordOverrideOptionsField.change(updateStudentLdapPasswordOptionsVisibility);

        let teacherLdapPasswordOverrideOptionsField = $("#provider_teacherLdapPasswordOverrideOptions");
        let updateTeacherLdapPasswordOptionsVisibility = function () {
            if(teacherLdapPasswordOverrideOptionsField.is(':checked')) {
                $("#teacherPasswordRules").show()
            } else {
                $("#teacherPasswordRules").hide()
            }
        }
        updateTeacherLdapPasswordOptionsVisibility();
        teacherLdapPasswordOverrideOptionsField.change(updateTeacherLdapPasswordOptionsVisibility);

    });
</script>
{% endblock %}
